SDL_GPUStorageBufferReadWriteBinding(3type)

NAME
SDL_GPUStorageBufferReadWriteBinding - A structure specifying parameters related to binding buffers in a compute pass.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef struct SDL_GPUStorageBufferReadWriteBinding
{
    SDL_GPUBuffer *buffer;  /**< The buffer to bind. Must have been created with SDL_GPU_BUFFERUSAGE_COMPUTE_STORAGE_WRITE. */
    bool cycle;             /**< true cycles the buffer if it is already bound. */
    Uint8 padding1;
    Uint8 padding2;
    Uint8 padding3;
} SDL_GPUStorageBufferReadWriteBinding;

AVAILABILITY
This struct is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_BeginGPUComputePass(3)